#include"global.h"
#ifndef CELLMANAGEMENT_H
#define CELLMANAGEMENT_H
#define CELLMANAGEMENT_H
#endif

// Generalized arbitrary-d subcell class
class box {
public:
    vector<int> atomlist;         // elements = atomids of atoms in box
};


// Generalized arbitrary-d supercell class
class cell {
   public:
      vector<box> subcell;
      vector<short int> boxpops;
      void setupsupercell();
      void populatecells();
      bool doesitfit(int q, bool RSAflag);
      double findmingapdist(bool diamreductionflag);
      void getlocalmingapdist(int q, bool diamreductionflag, bool neighflag);
   private:
};

